﻿[x-cloak] {
    display: none !important;
}
.swiper-button-prev::after,
.swiper-button-next::after {
    display: none;
}

.cycle-section {
    padding: 30px 0px;
    background: white;
}

.cycle-card {
    max-width: 1400px;
    height: 520px;
    margin: auto;
    border-radius: 0.75rem;
    overflow: hidden;
    background: linear-gradient( 120deg, #0f172a 0%, #020617 100% );
    position: relative;
    padding: 80px;
}


/* left */

.left-content {
    position: relative;
    z-index: 5;
    max-width: 520px;
}

.sub {
    font-size: 28px;
    color: #94a3b8;
    font-weight: 600;
}

.left-content h2 {
    margin-top: 20px;
    font-size: 44px;
    font-weight: 700;
    color: #60a5fa;
    line-height: 1.3;
}

.legend {
    margin-top: 50px;
}

.legend-item {
    margin-top: 10px;
    font-weight: 600;
}

.primary {
    color: #3b82f6;
}

.secondary {
    color: #94a3b8;
}


/* chart */

.chart {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
}
/* line */

#lineUp {
    stroke: #3b82f6;
    stroke-width: 4;
    fill: none;
}

#lineDown {
    stroke: #94a3b8;
    stroke-width: 4;
    fill: none;
}

#areaUp {
    fill: url(#blueArea);
}

#areaDown {
    fill: url(#grayArea);
}
/* =========================
   모바일
========================= */

@media (max-width: 768px) {

.cycle-section{
    padding:60px 0px;
}

.cycle-card{

    height:auto;
    padding:40px 24px;

    display:flex;
    flex-direction:column;
    gap:30px;
}


/* text */

.left-content{
    max-width:100%;
}

.sub{
    font-size:18px;
     font-weight:600;
}

.left-content h2{
    font-size:28px;
}

.legend{
    margin-top:20px;
}


/* chart */

.chart{
    position:relative;
    width:100%;
}


}



.animated-border {
    background: linear-gradient( 120deg, #22c55e, #10b981, #06b6d4, #3b82f6, #22c55e );
    background-size: 300% 300%;
    animation: borderMove 6s linear infinite;
    border-radius: 16px;
}

@keyframes borderMove {

    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 200% 50%;
    }
}

.deco {
    position: absolute;
    opacity: 0;
}